<?php
class ControllerModuleLastview extends Controller {
	protected function index() {
	
		$this->language->load('module/lastview');
    
      	$this->data['heading_title'] = $this->language->get('heading_title');
  	
  		$this->load->model('catalog/product');
	
		$this->load->model('tool/image');
	   if (!$this->session->data['lastview']) {
	       $this->session->data['lastview']=array();
	   }
			$this->data['button_add_to_cart'] = $this->language->get('button_add_to_cart');    
        if (isset($this->request->get['product_id'])) {
            $result = $this->model_catalog_product->getProduct($this->request->get['product_id']);
            if (isset($result)){
                						
	         $special = FALSE;

			$discount = $this->model_catalog_product->getProductDiscount($result['product_id']);

			if ($discount) {
				$price = $this->currency->format($this->tax->calculate($discount, $result['tax_class_id'], $this->config->get('config_tax')));
			} else {
				$price = $this->currency->format($this->tax->calculate($result['price'], $result['tax_class_id'], $this->config->get('config_tax')));

				$special = $this->model_catalog_product->getProductSpecial($result['product_id']);

				if ($special) {
					$special = $this->currency->format($this->tax->calculate($special, $result['tax_class_id'], $this->config->get('config_tax')));
				}
			}


    			if ($result['image']) {
    				$image = $this->model_tool_image->resize($result['image'], $this->config->get('lastview_image_width'), $this->config->get('lastview_image_height'));
    			} else {
    				$image = '';
    			}    			   
    			if ($this->config->get('config_review')) {
    				$rating = $this->model_catalog_review->getAverageRating($result['product_id']);
    			} else {
    				$rating = false;
    			}
    			$options = $this->model_catalog_product->getProductOptions($result['product_id']);  
    			if ($options) {
    				$add = $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=product/product&amp;product_id=' . $result['product_id']);
    			} else {
    				$add = HTTP_SERVER . 'index.php?route=checkout/cart&amp;product_id=' . $result['product_id'];
    			}
    			          
                $this->session->data['lastview'][$this->request->get['product_id']] = array (
                    'product_id'    => $result['product_id'],
                    'image' => $image, 
                    'price' => $price,
                    'special' => $special,
                    'href'  => $this->model_tool_seo_url->rewrite(HTTP_SERVER . 'index.php?route=product/product&product_id=' . $result['product_id']), 
                    'name'  => $result['name'],
                    'add'   => $add,
    				'rating'  		=> $rating,
    				'stars'   		=> sprintf($this->language->get('text_stars'), $rating),                    
                );
            } 
        }
		$this->data['products'] = array();
        if (isset($this->session->data['lastview'])){
    		$results = $this->session->data['lastview'];
    		foreach ($results as $result) {
    			$special = FALSE;
    			$this->data['products'][] = array(
    				'product_id'    => $result['product_id'],
    				'name'    		=> $result['name'],
    				'image'   		=> $result['image'],
    				'href'    		=> $result['href'], 
    				'price'			=> $result['price'],
    				'special'       => $result['special'], 
    				'add'           => $result['add'],
    				'rating'  		=> $result['rating'],
    				'stars'   		=> $result['stars'],
    			);
    		}
    		
    		$this->data['limit'] = $this->config->get('lastview_limit');
    		if (!$this->config->get('config_customer_price')) {
    			$this->data['display_price'] = TRUE;
    		} elseif ($this->customer->isLogged()) {
    			$this->data['display_price'] = TRUE;
    		} else {
    			$this->data['display_price'] = FALSE;
    		}

    		$this->id = 'lastview';
    		
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/lastview.tpl')) {
				$this->template = $this->config->get('config_template') . '/template/module/lastview.tpl';
			} else {
				$this->template = 'default/template/module/lastview.tpl';
			}
    		$this->render();
        }
	}
}
?>